Bug report #21715

Add "Requirements" as optional field in metadata.txt

Added by Sfkeller - over 1 year ago. Updated over 1 year ago.

Status:Open
Priority:Low
Assignee:-
Category:Website
Pull Request or Patch supplied:No

Description

As a user when searching and browsing for a plugin in QGIS extension manager or on the website https://plugins.qgis.org/ , users should be informed before hand about the requirements, dependencies and restrictions of a plugin.

There is currently a newly added text in the "Recommendation" chapter on https://plugins.qgis.org/publish/ to mention requirements, dependencies and restrictions in the About/Description field, if the plugin is running only on selected platforms, requires software to be installed separately or requires some user account.

My suggestion is to add an optional field - perhaps called "requirements" - in metadata.txt, to be filled in by the plugin maintainer. The field entry would be mandatory if there exist such requirements.

Some dependencies and restrictions could even be potentially validated automatically.

History

#1 Updated by Giovanni Manghi over 1 year ago

  • Category changed from Python plugins to Website
  • Project changed from QGIS Application to QGIS Plugin Site

Also available in: Atom PDF